Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005796 [JEDI VCL] 00 JVCL Components crash always 2012-02-14 23:22 2012-09-10 14:15
Reporter RH View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.45
Summary 0005796: EAccessViolation raised when calling the TJvInspector TypeInfo macro with type UnicodeString in C++ Builder
Description The TypeInfo macro is required for C++ Builder, which uses the TJvTypeInfoHelper class. This class has to have all known types added manually in order for the macro to work.

It is simply missing the UnicodeString type.

It raises the EAccessViolation exception when using TypeInfo(UnicodeString).
Additional Information TJvTypeInfoHelper class needs to have the Unicodestring type added in order to work with unicode strings in C++ Builder. Only a few lines need to be added to get it working. The code change is listed below, along with the modified file attached to this report.

The
  TJvTypeInfoHelper = class(TPersistent)
  private
...
    {$IFDEF UNICODE}
    FUnicodeString: UnicodeString; // added
    {$ENDIF}
    FWideCharProp: WideChar;
    FWordProp: Word;
    FWordBoolProp: WordBool;
  published
...
    {$IFDEF UNICODE}
    property UnicodeStringProp: UnicodeString read FUnicodeString; // added
    {$ENDIF}
    property WideCharProp: WideChar read FWideCharProp;
    property WordProp: Word read FWordProp;
    property WordBoolProp: WordBool read FWordBoolProp;
...
Tags No tags attached.
Attached Files ? file icon JvInspector.pas [^] (392,205 bytes) 2012-02-14 23:22

- Relationships

-  Notes
(0019546)
obones (administrator)
2012-02-24 17:47

This is now fixed in SVN

- Issue History
Date Modified Username Field Change
2012-02-14 23:22 RH New Issue
2012-02-14 23:22 RH File Added: JvInspector.pas
2012-02-22 15:15 obones Status new => acknowledged
2012-02-24 17:47 obones Note Added: 0019546
2012-02-24 17:47 obones Status acknowledged => resolved
2012-02-24 17:47 obones Fixed in Version => Daily / SVN
2012-02-24 17:47 obones Resolution open => fixed
2012-02-24 17:47 obones Assigned To => obones
2012-09-10 14:15 obones Fixed in Version Daily / SVN => 3.46


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker